/**
 * Namespace the FHIR types within FHIR as ResearchStudy overlaps otherwise
 */
export * from './research-study';
export * from './searchset';
export * from './clinicaltrialsgov';
export { CodeMapper, CodeSystemEnum } from './codeMapper';
export * from './mcodeextractor';
export { MappingLogic } from './mappinglogic';
import { ClinicalStudy } from './clinicalstudy';
import BasicHttpError, { HttpError, ServerError, ClientError } from './errors';
import ClinicalTrialMatchingService, { ClinicalTrialMatcher, Configuration } from './server';
export * from './env';
export default ClinicalTrialMatchingService;
export { ClinicalStudy, ClinicalTrialMatcher, ClinicalTrialMatchingService, Configuration as ServiceConfiguration, BasicHttpError, HttpError, ClientError, ServerError };
