/**
 * FHIR type guards for ensuring that objects match (at least to some degree) a
 * valid FHIR R4 type.
 */
import { Bundle, ResearchStudy } from 'fhir/r4';
export declare function isBundle(o: unknown): o is Bundle;
export declare function isResearchStudy(o: unknown): o is ResearchStudy;
