"use strict";
// Export our public API from this package
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __exportStar = (this && this.__exportStar) || function(m, exports) {
    for (var p in m) if (p !== "default" && !Object.prototype.hasOwnProperty.call(exports, p)) __createBinding(exports, m, p);
};
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.ServerError = exports.ClientError = exports.BasicHttpError = exports.ClinicalTrialMatchingService = exports.MappingLogic = exports.CodeSystemEnum = exports.CodeMapper = void 0;
/**
 * Namespace the FHIR types within FHIR as ResearchStudy overlaps otherwise
 */
__exportStar(require("./research-study"), exports);
__exportStar(require("./searchset"), exports);
__exportStar(require("./clinicaltrialsgov"), exports);
var codeMapper_1 = require("./codeMapper");
Object.defineProperty(exports, "CodeMapper", { enumerable: true, get: function () { return codeMapper_1.CodeMapper; } });
Object.defineProperty(exports, "CodeSystemEnum", { enumerable: true, get: function () { return codeMapper_1.CodeSystemEnum; } });
__exportStar(require("./mcodeextractor"), exports);
var mappinglogic_1 = require("./mappinglogic");
Object.defineProperty(exports, "MappingLogic", { enumerable: true, get: function () { return mappinglogic_1.MappingLogic; } });
const errors_1 = __importStar(require("./errors"));
exports.BasicHttpError = errors_1.default;
Object.defineProperty(exports, "ServerError", { enumerable: true, get: function () { return errors_1.ServerError; } });
Object.defineProperty(exports, "ClientError", { enumerable: true, get: function () { return errors_1.ClientError; } });
const server_1 = __importDefault(require("./server"));
exports.ClinicalTrialMatchingService = server_1.default;
// Export the utility for configuring from the environment
__exportStar(require("./env"), exports);
exports.default = server_1.default;
